REM ============================================================
REM FILE: Build.bat
REM DESC: This File will Compile the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn 
MKDIR gui

MKDIR gemini
MKDIR gemini\gui
MKDIR gemini\plot

MKDIR iqstrat
MKDIR iqstrat\io

MKDIR kgs

MKDIR production
MKDIR production\gui
MKDIR production\io
MKDIR production\math
MKDIR production\plot

MKDIR plot
MKDIR util

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .
COPY src\cmn\*.java cmn
COPY src\gui\*.java gui

COPY src\gemini\gui\*.java gemini\gui
COPY src\gemini\plot\*.java gemini\plot

COPY src\iqstrat\*.java iqstrat
COPY src\iqstrat\io\*.java iqstrat\io

COPY src\kgs\*.java kgs

COPY src\production\*.java production
COPY src\production\gui\*.java production\gui
COPY src\production\io\*.java production\io
COPY src\production\math\*.java production\math
COPY src\production\plot\*.java production\plot

COPY src\plot\*.java plot
COPY src\util\*.java util

REM ------------------------------------------------------------
REM COMPILE Simple LAS Plot
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation Bubble_Map.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java
DEL cmn\*.java
DEL gui\*.java

DEL gemini\gui\*.java
DEL gemini\plot\*.java

DEL iqstrat\*.java
DEL iqstrat\io\*.java

DEL kgs\*.java

DEL production\*.java
DEL production\gui\*.java
DEL production\io\*.java
DEL production\math\*.java
DEL production\plot\*.java

DEL plot\*.java
DEL util\*.java

REM ------------------------------------------------------------
REM REMOVE the old LAS Jar File
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL Bubble_Map.txt

C:\jdk1.7.0_25\bin\jar cvfm Bubble_Map.jar Manifest.txt *.class cmn gui iqstrat gemini kgs production plot util images
C:\jdk1.7.0_25\bin\jar tvf Bubble_Map.jar > Bubble_Map.txt

MOVE Bubble_Map.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn  /q
DEL gui  /q

DEL gemini\gui /q
DEL gemini\plot /q 

DEL iqstrat\io  /q
DEL iqstrat  /q

DEL kgs  /q

DEL production\gui  /q
DEL production\io  /q
DEL production\math  /q
DEL production\plot  /q
DEL production  /q

DEL plot  /q
DEL util  /q

RMDIR cmn 
RMDIR gui 

RMDIR gemini\gui 
RMDIR gemini\plot 
RMDIR gemini 

RMDIR iqstrat\io 
RMDIR iqstrat 

RMDIR kgs 

RMDIR production\gui 
RMDIR production\io 
RMDIR production\math
RMDIR production\plot
RMDIR production 

RMDIR plot 
RMDIR util 

DEL *.class
