/*
 * @cmnStruct.java Version 1.1 06/26/2006
 *
 * Copyright (c) 2006 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package cmn;

import java.net.*;
import java.awt.*;
import java.applet.*;
import javax.swing.*;

import kgs.kgsUserStruct;

/** CLASS cmnStruct
 *  <p> This Class holds the global gui data structure data.
 *      NOTE: This version is designed for the LASFileReader and will not work
 *            with other web apps.
 *  @version 1.1 06/26/2006
 *  @author  John R. Victorine
 *  @modified 07/12/2007 for LAS File Reader
 */

public class cmnStruct
{
  // Kansas Geological Survey Home Web Addresses

  public static final String KGS        = "http://www.kgs.ku.edu";
  public static final String ABYSS      = "http://chasm.kgs.ku.edu";
  public static final String CO2        = "http://www.kgs.ku.edu/PRS/Ozark/";
  public static final String STRAT      = "http://www.kgs.ku.edu/stratigraphic/";
  public static final String TOOLS      = "http://www.kgs.ku.edu/Gemini/";

  /* ======================================================================= *
   * --------------------- Web Applications Mnemonics ---------------------- *
   * ======================================================================= */

  // BASE URL to the ABYSS PLSQL Stored procedure base path.

//  public static final String PLSQL       = "http://chasm.kgs.ku.edu/pls/abyss/";
//  public static final String PLSQL_USER  = "http://chasm.kgs.ku.edu/pls/abyss/iqstrat.";
  public static final String PLSQL       = "http://chasm.kgs.ku.edu/ords/";
  public static final String PLSQL_USER  = "http://chasm.kgs.ku.edu/ords/iqstrat.";

  // TYPE LOG URL Path

  public static final String TYPE_LOG      = "http://www.kgs.ku.edu/PRS/Ozark/TYPE_LOG/";
  public static final String CROSS_SECTION = CO2 + "GXSection/GXSection.html?";
  public static final String HELP          = TYPE_LOG + "HELP/";
  public static final String PC_GEO        = HELP + "PC/geo_reports/";

  // BASE DIRECTORY of IQSTRAT

  public static final String IQSTRAT_BASE = STRAT + "IQSTRAT/";

  // User Login

  public static final String  KGS_USER = PLSQL_USER + "iqstrat.iqstrat_users_pkg.getXML?";

  // Subdirectory of the county TRS grid lines under the Home Web Address

  public static final String LANDGRID = new String("/Gemini/zDat");

  /* Type Log User Login Get XML Procedure
   * EXAMPLE:
   *   http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_users_pkg.getXML?sEmail=KGS@kgs.ku.edu
   *   GET LIST of Type Log Tops Source Users for a specific Well
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_users_pkg.getXML?sAPI=15-081-20210
   */

  public static final String TYPE_LOG_USER  = PLSQL_USER + "iqstrat_type_log_users_pkg.getXML?";

  /* Type Log County List GET XML Procedures
   * EXAMPLE:
   *   http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_doe_co2_county_pkg.getCounties
   */

  public static final String GET_COUNTY_XML = PLSQL_USER + "iqstrat_type_log_county_pkg.getCounties?";

  /* Type Log Well List GET XML Procedures
   * EXAMPLES:
   *   GET Complete List
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_doe_co2_wells_pkg.getXML?
   *   GET WELL LIST
   *   -- BY County
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_doe_co2_wells_pkg.getWellXML?sCounty=stevens
   *   -- BY Type Log Area
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_doe_co2_wells_pkg.getWellXML?sArea=2
   *   -- BY API-Number
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_doe_co2_wells_pkg.getWellXML?sAPI=15-081-20210
   */

  public static final String TYPE_LOG_WELLS = PLSQL_USER + "iqstrat_doe_co2_wells_pkg.getXML?";
  public static final String GET_WELL_XML   = PLSQL_USER + "iqstrat_doe_co2_wells_pkg.getWellXML?";

  public String sApp = "TYPE_LOG";

  /* Type Log Well List GET XML Procedures
   *
   * -- PLSQL_USER =  "http://chasm.kgs.ku.edu/pls/abyss/iqstrat.";
   *
   * EXAMPLES:
   *   GET List of Leases by Field
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.production_doe_co2_wells_pkg.getLeaseXML?sField=1000152152
   *
   *   GET List of Leases by Minimum & Maximum Latitude & Longitude Area
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.production_doe_co2_wells_pkg.getLeaseXML?sLatMin=37.27819545918367&sLatMax=37.33838494489796&sLongMin=-97.47210748552632&sLongMax=-97.41241982105264
   */

  public static final String GET_LEASE_PRODUCTION_XML = PLSQL_USER + "production_doe_co2_wells_pkg.getLeaseXML?";

  /* -------------------------------------------------------------------------------------------------------- *
   * --------------------------------- KGS Production Stored Procedures ------------------------------------- *
   * -------------------------------------------------------------------------------------------------------- *
   * KGS_PRODUCTION - Retrieve Production Data from KGS Database                                              *
   *                                                                                                          *
   *  http://chasm.kgs.ku.edu/pls/abyss/iqstrat.production_pkg.getXML?sLease=1001141616    // Kendrick 23-1   *
   *  http://chasm.kgs.ku.edu/pls/abyss/iqstrat.production_pkg.getXML?sField=1000152060    // Arroyo          *
   *  http://chasm.kgs.ku.edu/pls/abyss/iqstrat.production_pkg.getXML?sCounty=187          // Stanton County  *
   *  http://chasm.kgs.ku.edu/pls/abyss/iqstrat.production_pkg.getXML?sOperator=1028004282 // C & C Oil & Gas *
   * -------------------------------------------------------------------------------------------------------- */

  public static final String KGS_PRODUCTION          = PLSQL_USER + "production_pkg.getXML?";

  /* Type Log Zeller List GET XML Procedures
   * EXAMPLES:
   *   GET Complete List
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_zeller_pkg.getXML?
   *   GET TOPS LIST
   *   -- BY KID
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_zeller_pkg.getTopsXML?sKID=1027710581
   *   -- BY Partial Phrase
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_zeller_pkg.getTopsXML?sName=Scott
   */

  public static final String TYPE_LOG_TOPS = PLSQL_USER + "iqstrat_zeller_pkg.getXML?";
  public static final String GET_TOPS_XML  = PLSQL_USER + "iqstrat_zeller_pkg.getTopsXML?";

  //*** -------------------------------------- ***
  //*** Type Log Source Tops PL/SQL Procedures ***
  //*** -------------------------------------- ***

  /* Type Log Source Tops GET XML Procedures
   * EXAMPLE:
   *   GET BY source KID and Well API-Number
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?src=1044171688&sAPI=15-081-20210
   *   GET BY source KID and Well Header KID
   *     Well:
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?src=1044171688&sKID=1006072860
   *     Measured Section:
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?src=1037238216&sKID=1044184209
   *   GET BY Well Header KID only
   *     Well:    http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?sKID=1006072860
   *     Outcrop: http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?sKID=1044184209
   *
   *   TEST: Stanton County
   *     L.E. Nordling 1:
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?sKID=1006155003
   *     McPherson and Citizens State Bank 1:
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?sKID=1006155005
   */

  public static final String TYPE_LOG_SOURCE_TOPS = PLSQL_USER + "iqstrat_type_log_tops_pkg.getXML?";

  /* Type Log Source Tops Modify Data PL/SQL Procedures
   *  Insert / Update Actions
   *    Well:   1006155005 ( McPhereson and Citizens State Bank 1 [15-187-20355] )
   *    Source: 1037238216 ( John R Victorine )
   *    Zeller: 1027711083 ( Pleasanton Group )
   *    Name:   Pleasanton
   *    Top:    4438.0'
   *    Base:   0.0'
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.save_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711083&sName=Pleasanton&dTop=4438&dBase=0
   *
   *  Delete Action:
   *    Well:   1006155005 ( McPhereson and Citizens State Bank 1 [15-187-20355] )
   *    Source: 1037238216 ( John R Victorine )
   *    Zeller: 1027711083 ( Pleasanton Group )
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.delete_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711083
   */

  public static final String TYPE_LOG_SOURCE_SAVE   = PLSQL_USER + "iqstrat_type_log_tops_pkg.save_data?";
  public static final String TYPE_LOG_SOURCE_DELETE = PLSQL_USER + "iqstrat_type_log_tops_pkg.delete_data?";

  //*** ----------------------------------------- ***
  //*** Type Log Evaluator Tops PL/SQL Procedures ***
  //*** ----------------------------------------- ***

  /* Type Log Evaluator Tops Get XML Procedures
   *   GET BY Well Header KID only
   *     McPherson and Citizens State Bank 1 (15-187-20355):
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.getXML?sKID=1006155005
   *
   *   TEST: Stanton County
   *     L.E. Nordling 1 (15-187-20354):
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.getXML?sKID=1006155003
   *     McPherson and Citizens State Bank 1 (15-187-20355):
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.getXML?sKID=1006155005
   */

  public static final String TYPE_LOG_EVAL_TOPS  = PLSQL_USER + "iqstrat_type_log_tops_eval_pkg.getXML?";
  public static final String TYPE_LOG_EVAL_TOPS2 = PLSQL_USER + "iqstrat_type_log_tops_eval_pkg.getTopsXML?";

  /* Type Log Evaluator Tops Modify Data PL/SQL Procedures
   *  TEST: Stanton County
   *  Insert / Update Actions
   *    Well:   1006155005 ( McPhereson and Citizens State Bank 1 [15-187-20355] )
   *    Source: 1037238216 ( John R Victorine )
   *    Zeller: 1027711071 ( Stark Shale Group )
   *    Name:   Stark Shale
   *    Top:    4294.0'       4300.0'
   *    Base:   0.0'             0.0'
   *    Eval:   REJECT        ACCEPT
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.save_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711071&sName=Stark Shale&dTop=4294&dBase=0&sEval=REJECT
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.save_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711071&sName=Stark Shale&dTop=4300&dBase=0&sEval=ACCEPT
   *
   *  Delete Action:
   *    Well:   1006155005 ( McPhereson and Citizens State Bank 1 [15-187-20355] )
   *    Source: 1037238216 ( John R Victorine )
   *    Zeller: 1027711071 ( Stark Shale Group )
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.delete_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711071
   */

  public static final String TYPE_LOG_EVAL_SAVE   = PLSQL_USER + "iqstrat_type_log_tops_eval_pkg.save_data?";
  public static final String TYPE_LOG_EVAL_DELETE = PLSQL_USER + "iqstrat_type_log_tops_eval_pkg.delete_data?";

  // Headers Information URL's

  public static final String  KGS_HEADERS_READ_LIST = PLSQL_USER + "user_headers_pkg.getXML?";
  public static final String  KGS_HEADERS_READ      = PLSQL_USER + "headers_pkg.getXML?";
  public static final String  KGS_HEADERS_WRITE     = PLSQL_USER + "headers_pkg.saveXML?";
  public static final String  KGS_WELL_HEADERS_READ = PLSQL_USER + "kgs_well_headers_pkg.getXML?";

  // User Headers Information URL's

  public static final String KGS_USER_HEADERS_DELETE = PLSQL_USER + "user_headers_pkg.delete_data?";

  // User Files Information URL's;

  public static final String KGS_USER_FILES_WRITE  = PLSQL_USER + "user_files_pkg.save_data?";
  public static final String KGS_USER_FILES_READ   = PLSQL_USER + "user_files_pkg.getXML?";

  /* Get Measured Section LAS 3.0 File Information
   * EXAMPLES:
   *   GET LAS File Information
   *   BY API-Number
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.kgs_las_files_pkg.getXML?sAPI=15-189-22225
   *   BY Well Header KID
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.kgs_las_files_pkg.getXML?sKID=1006159553
   */

  public static final String KGS_LAS_FILES = PLSQL_USER + "kgs_las_files_pkg.getXML?";

  /* Get Measured Section LAS 3.0 File Information
   * EXAMPLES:
   *   GET LAS 3.0 File Information
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.kgs_las_files_pkg.getOCXML?sKID=1044184209
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_LAS_pkg.getXML?sKID=1044184209
   */

  public static final String TYPE_LOG_LAS_FILES = PLSQL_USER + "iqstrat_type_log_LAS_pkg.getXML?";

  // Regions XML - Input: API-Number of Well (sAPI)

  public static final String KGS_REGIONS = PLSQL_USER + "kgs_regions_pkg.getXML?";

  // KGS Stratigraphic Units

  public static final String KGS_STRAT_UNITS = PLSQL_USER + "kgs_strat_pkg.getXML";

  // -- BY Well - Input: API-Number (sAPI) & KID (sKID)

  public static final String KGS_WELL_STRAT_UNITS = PLSQL_USER + "kgs_well_tops_pkg.getXML?";

  // Latitude & Longitude from TRS

  public static final String KGS_TRS2LL = PLSQL_USER + "TRS2LL_pkg.getXML?";


  /* ======================================================================= *
   * ----------------------------- Mouse Icons ----------------------------- *
   * ======================================================================= */

  public static final String      MOUSE   = "/images/mouse.gif";

  /* ======================================================================= *
   * ------------------------------ EDIT Icons ----------------------------- *
   * ======================================================================= */

  public static final String      COPY     = "/images/copy_lg.png";
  public static final String      DATUMBY  = "/images/datumBy_lg.png";
  public static final String      DELETE   = "/images/erase_lg.png";
  public static final String      SAVE     = "/images/save_lg.png";
  public static final String      ACCEPT   = "/images/accept_lg.png";
  public static final String      REJECT   = "/images/reject_lg.png";

  public static final String      PREVIOUS = "/images/previous.png";
  public static final String      NEXT     = "/images/next.png";

  /* ======================================================================= *
   * ---------------------------- KGS Logo Icon ---------------------------- *
   * ======================================================================= */

  public static final String      ICON   = "images/kgsSm.png";
  public static final String      ICON2  = "images/kgsSm2.png";
  public Image                    pIcon  = null;
  public Image                    pIcon2 = null;

  /* ======================================================================= *
   * ----------------------------- Image Icons ----------------------------- *
   * ======================================================================= */

  public static final String WEB_APP    = "/images/webapp.png";

  public static final String KGS_DATA   = "/images/kgsSm2.png";

//  public static final String LAS_FILE   = "/images/las-file.png";
//  public static final String HORIZONS   = "/images/tops.png";
//  public static final String ROCK_TEXT  = "/images/profile.png";

  /* ======================================================================= *
   * ------------------------------ Constants ------------------------------ *
   * ======================================================================= */

  public static final int _NO    = 0;
  public static final int _YES   = 1;

  public static final int OFF    = 0;
  public static final int ON     = 1;

  public static final int ALL    = 0;
  public static final int SELECT = 1;
  public static final int NONE   = 2;

  /* ======================================================================= *
   * --------------------------- Global Variables -------------------------- *
   * ======================================================================= */

  public int           iServerUsed;     // Server that will be used.
  public boolean       bStandalone;     // Application is Stand alone
  public URL           urlDirCodeBase;  // Base URL of Applet.
  public AppletContext appletContext;   // Applet Context
  public String        sPath;           // Path to retrieve data from JAR File
  public String        sImagePath;      // Path to retrieve images from JAR File
  public ClassLoader   cl;

  public kgsUserStruct stUser = null;
}