/*
 * @iqstratInfoStruct.java Version 1.0 09/06/2013
 *
 * Copyright (c) 2013 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package iqstrat;

/** CLASS iqstratInfoStruct
 *  <p> This Structure holds the Headers Information for a single Well.
 *
 *  @version 1.1 09/06/2013
 *  @author  John R. Victorine
 */

public class iqstratInfoStruct
{
  public static final int LEASE    = 0;
  public static final int FIELD    = 1;
  public static final int COUNTY   = 2;
  public static final int OPERATOR = 3;

  // Identification Information

  public String sKID      = "0";  // DB Primary Key of the Header Record
  public String sDOR      = "";   // DOR Number
  public String sName     = "";   // Well Name or Outcrop Name
  public String sError    = "";

  // other well information

  public String sOperator     = "";  // Operator
  public String sOperator_kid = "0"; // Operator Primary Key
  public String sField        = "";  // Field Name
  public String sField_kid    = "0"; // Field Primary Key

  // Location Information

  public String sCountry  = "";   // Country
  public String sProvince = "";   // Province

  public String state     = "";   // State Name
  public int    iState    = -1;   // State Code
  public String sCounty   = "";   // County Name
  public int    iCounty   = -1;   // County Code

  public int    iTownship = 0;    // Township
  public String sTownship = "";   // Township Direction
  public int    iRange    = 0;    // Range
  public String sRange    = "";   // Range Direction
  public int    iSection  = 0;    // Section

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    // Identification Information

    sKID          = null;   // Primary Key
    sDOR          = null;   // DOR Number
    sName         = null;   // Well Name or Outcrop Name
    sError        = null;   // Error String

    // other well information

    sOperator     = null;   // Operator
    sOperator_kid = null;   // Operator Primary Key
    sField        = null;   // Field Name
    sField_kid    = null;   // Field Primary Key

    // Location Information

    sCountry      = null;   // Country
    sProvince     = null;   // Province

    state         = null;   // State Name
    sCounty       = null;   // County Name
    sTownship     = null;   // township direction
    sRange        = null;   //  range direction
  }
}
