/*
 * @iqstratStatusStruct.java Version 1.1 10/14/2007
 *
 * Copyright (c) 2007 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package iqstrat;

/** Class iqstratStatusStruct
 *  <p> This Class holds the data needed to plot the data location on a map
 *
 *  @version 1.1 10/14/2007
 *  @author  John R. Victorine
 */

public class iqstratStatusStruct
{
  public static final int  LOC      = 0;
  public static final int  CBM      = 1;
  public static final int  CBM_PA   = 2;
  public static final int  DA       = 3;
  public static final int  EOR      = 4;
  public static final int  EOR_PA   = 5;
  public static final int  GAS      = 6;
  public static final int  GAS_PA   = 7;
  public static final int  INJ      = 8;
  public static final int  INJ_PA   = 9;
  public static final int  INTENT   = 10;
  public static final int  OG       = 11;
  public static final int  OG_PA    = 12;
  public static final int  OIL      = 13;
  public static final int  OIL_PA   = 14;
  public static final int  OTHER    = 15;
  public static final int  OTHER_PA = 16;
  public static final int  SWD      = 17;
  public static final int  SWD_PA   = 18;
  public static final int  OUTCROP  = 19;

  public static int    TOTAL     = 19;
  public static String STATUS[][] =
    {{"LOC",       "Location" },
     {"CBM",       "Coal Bed Methane" },
     {"CBM-P&A",   "Coal Bed Methane - Plugged & Abandoned" },
     {"D&A",       "Dry & Abandoned" },
     {"EOR",       "Enhanced Oil Recovery" },
     {"EOR-P&A",   "Enhanced Oil Recovery - Plugged & Abandoned" },
     {"GAS",       "Gas" },
     {"GAS-P&A",   "Gas - Plugged & Abandoned" },
     {"INJ",       "Injection" },
     {"INJ-P&A",   "Injection - Plugged & Abandoned" },
     {"INTENT",    "Intent" },
     {"O&G",       "Oil & Gas" },
     {"O&G-P&A",   "Oil & Gas - Plugged & Abandoned" },
     {"OIL",       "Oil" },
     {"OIL-P&A",   "Oil - Plugged & Abandoned" },
     {"OTHER",     "Other" },
     {"OTHER-P&A", "Other - Plugged & Abandoned" },
     {"SWD",       "Salt Water Disposal" },
     {"SWD-P&A",   "Salt Water Disposal - Plugged & Abandoned" },
     {"OUTCROP",   "Measured Section" }};
}
