/*
 * @declineStruct.java Version 1.1 09/17/2013
 *
 * Copyright (c) 2013 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package production;

/** Class declineStruct
 *  <p> This Class holds Production Data for a specific year, month and or quarter
 *
 *  @version 1.1 09/17/2013
 *  @author  John R. Victorine
 */

public class declineStruct
{
  public static final int EXPONENTIAL = production.math.declineMath.EXPONENTIAL;
  public static final int HARMONIC    = production.math.declineMath.HARMONIC;
  public static final int HYPERBOLIC  = production.math.declineMath.HYPERBOLIC;

  public static final int DAILY       = production.math.declineMath.DAILY;
  public static final int MONTHLY     = production.math.declineMath.MONTHLY;
  public static final int YEARLY      = production.math.declineMath.YEARLY;

  public static final String METHOD[] = { "Exponential", "Harmonic", "Hyperbolic" };
  public static final String EQUATION_TEXT[] = {
	"Qt = Qi * exp(-Kt)      ",
	"Qt = Qi / (1+Kt)        ",
	"Qt = Qi / (1+nKt)^(1/n) " };

  public static final String UNITS[] = production.productionStruct.UNITS;

  // .. Initial Productiont Rate (Qi)

  public double Qi         = 0.0;
  public int    Qi_year    = 0;

  // .. Final Productiont Rate (Qt)

  public double Qt         = 0.0;
  public int    Qt_year    = 0;

  public int    iMethod    = EXPONENTIAL;

  // .. Decline Curve Parameters

  public int    iRate      = YEARLY;

  public double K          = 0.0;  // Decline Constant
  public double n          = 0.0;  // Decline Exponent
  public double decline    = 0.0;  // Decline Rate in %

  // Cumulative & Economic Limit

  public static final String PER[] = { "BBL Per", "MCF Per" };

  public int    iLimitRate = DAILY;

  public double Qf         = 0.0;  // Production Rate @ Economic Limit
  public int    Qf_year    = 0;    // Production Date @ Economic Limit

  public double CUMM_I     = 0.0;  // Cumulative at Initial Production Rate
  public double CUMM_A     = 0.0;  // Cumulative Actual
  public double CUMM_C     = 0.0;  // Cumulative Computed

  public double EUR        = 0.0;  // Cumulative @ Economic Limit (EUR)
  public double RR         = 0.0;  // Remaining Reserves (RR)
}

/*
 *  @version 1.1 09/17/2013
 *  @author  John Victorine
 */
