/*
 * @productionPlotListStruct.java Version 1.1 01/28/2014
 *
 * Copyright (c) 2013 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package production.plot;

import production.plot.productionPlotStruct;

/** CLASS productionPlotListStruct
 *  <p> This Structure holds a list of Production Plot Structures.
 *
 *  @version 1.1 01/28/2014
 *  @author  John R. Victorine
 */

public class productionPlotListStruct
{
  public int                  iCount   = 0;    // Total Number of Records
  public productionPlotStruct stItem[] = null; // Array of Data Structures

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    if (iCount > 0)
    {
      for (int i=0; i<iCount; i++)
      {
        if (stItem[i] != null)
          stItem[i].delete();
      }
    }

    iCount = 0;
    stItem = null;
  }
}

/*
 *  @version 1.1 01/28/2014
 *  @author  John Victorine
 */
