/*
 * @productionListStruct.java Version 1.1 09/05/2013
 *
 * Copyright (c) 2012 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package production;

import production.productionStruct;  // Production Data Structure

/** Class productionListStruct
 *  <p> This Class holds all production data
 *
 *  @version 1.1 09/05/2013
 *  @author  John R. Victorine
 */

public class productionListStruct
{
  // Identifying information for the Production Data

  public String sKID  = "0";   // KID for the Production Data
  public String sID   = "0";   // Other ID for the Production Data
  public String sType = "";    // Type of Production Data
  public String sName = "";    // Name of Production Data

  public String sApp  = "";    // URL retrieving Data
  public String sBy   = "";    // Search By

  public int              iCount   = 0;    // Total Number of Records
  public productionStruct stItem[] = null; // Total production data structure Records

  /** Method delete()
   * <p> This method will set the arrays to null in order to get Java to
   *     deallocate memory for the object.
   */

  public void delete()
  {
    // Identifying information for the Production Data

    sKID  = null;   // KID for the Production Data
    sID   = null;   // Other ID for the Production Data
    sType = null;   // Type of Production Data
    sName = null;   // Name of Production Data

    sApp  = null;   // URL retrieving Data
    sBy   = null;   // Search By

    for (int i=0; i<iCount; i++)
    {
      if (stItem[i] != null)
        stItem[i].delete();
      stItem[i] = null;
    }

    iCount = 0;
  }
}

/*
 *  @version 1.1 09/05/2013
 *  @author  John Victorine
 */
